<template>
  <div id="shockwave">
    <main-header></main-header>
    <router-view></router-view>
    <main-footer></main-footer>
    <bottom-player></bottom-player>
    <main-snackbar></main-snackbar>
  </div>
</template>

<script>
import Vue from 'vue';
import Component from 'vue-class-component';
import { APP_ID, APP_URL } from './config';
import { initializeDeezerPlayer } from './services/deezer.player';

@Component()
export default class App extends Vue {

  mounted() {
    window.dzAsyncInit = () => {
      DZ.init({
        appId: APP_ID,
        channelUrl: `${APP_URL}/channel.html`,
        player: {
          onload: response => {
            initializeDeezerPlayer();
          },
        },
      });
      DZ.ready(sdk_options => {
        DZ.getLoginStatus(response => {
          if (response.status === 'connected') {
            DZ.api('/user/me', response => {
              if (response.error) {
                return;
              }
              this.$store.dispatch('setUser', response);
              this.$store.dispatch('setPlayerType', 'native');
            });
          }
        });
      });
    };

    (function() {
      const element = document.createElement('script');
      element.src = 'https://e-cdns-files.dzcdn.net/js/min/dz.js';
      element.async = true;
      document.getElementById('dz-root').appendChild(element);
    })();
  }

};
</script>
